#### D.4.18.5 membershipMon

Procedure from library `monomialideal.lib` (see monomialideal_lib).

Usage:
  membershipMon(f,I); f polynomial, I ideal.

Return:
  1, if f lies in I; 0 otherwise.
  (-1 if I and f are nonzero and I is not a monomial ideal)

Assume:
  I is a monomial ideal of the basering.

Example:

    LIB "monomialideal.lib";
    ring R = 0,(w,x,y,z,t),lp;
    ideal I =  w*x, x^2, y*z*t, y^5*t;
    poly f =  3*x^2*y + 6*t^5*z*y^6 - 4*x^2 + 8*w*x^5*y^6 - 10*y^10*t^10;
    membershipMon(f,I);
    ==> 1
    poly g = 3*w^2*t^3 - 4*y^3*z*t^3 - 2*x^2*y^5*t + 4*x*y^3;
    membershipMon(g,I);
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.